INFINOTED(1)

NAME
infinoted - dedicated server for the infinote protocol (e.g. Gobby)

SYNOPSIS
infinoted-0.7 [options]

DESCRIPTION
infinoted is a dedicated server which allows clients to edit plain text documents and source files collaboratively over a network. Changes to the documents are synchronized instantly to the other clients.

This server supports the infinote protocol as implemented by libinfinity. Example clients include Gobby 0.5.x, Kobby and a special plugin for gedit. It is not compatible to the older libobby protocol.

It comes with a list of plugins like autosave, dbus integration and others. For a complete list see https://github.com/gobby/gobby/wiki/Dedicated%20Server. The default plugin is note-text. It needs to be added along with any other plugins that one might want to enable.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-c, --config-file=CONFIG-FILE
    Load the given configuration file instead of looking at the standard locations.

-k, --key-file=KEY-FILE
    The server's private key

-c, --certificate-file=CERTIFICATE-FILE
    The server's certificate

--certificate-chain
    The certificate chain to the root certificate, if not included in the file given in --certificate-file.

--create-key
    Creates a new random private key

--create-certificate
    Creates a new self-signed certificate using the given key

-p, --port-number=PORT
    The port number to listen on

--listen-address=ADDRESS
    The IP address to listen on

--security-policy=no-tls|allow-tls|require-tls
    How to decide whether to use TLS

-r, --root-directory=DIRECTORY
    A directory to save the document tree into in infinoted-xml format. This is the location where the tree is kept persistently so that it is available again after server restart. Usually, documents are saved in this tree 60 seconds after the last user left the session. In addition to this, when the autosave plugin is enabled, it is possible to save sessions into the tree periodically. The default directory is ~/.infinote.

--plugins=PLUGIN
    Additional plugin to load. Repeat the option on the command-line to specify multiple plugins and semi-colons in the configuration file. Plugin options can be configured in the configuration file (one section for each plugin), or with the --plugin-parameter option.

--plugin-parameter=PLUGIN:KEY:VALUE
    Sets the option KEY for plugin PLUGIN to the given VALUE. Normally, plugin options are specified in the configuration file, but this command line option allows one to set or override plugin options on the command line.

-P, --password=PASSWORD
    Require given password on connections

--pam-service=SERVICE
    Authenticate clients against given pam service on connection

--pam-allow-user=USERS
    Users allowed to connect after pam authentication. Separate entries with semicolons.

--pam-allow-group=GROUPS
    Group allowed to connect after pam authentication. Separate entries with semicolons.

-d, --daemonize
    Daemonize the server

-D, --kill-daemon
    Kill a running daemon

-v, --version
    Display version information and exit

AUTHOR
infinoted and libinfinity were written by Armin Burgmeier <armin@arbur.net>